org.jboss.jca.common.metadata.ds

## Class XADataSourceImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl
  - - org.jboss.jca.common.metadata.ds.XADataSourceImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.CommonDataSource, org.jboss.jca.common.api.metadata.ds.XaDataSource, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class XADataSourceImpl
      extends DataSourceAbstractImpl
      implements org.jboss.jca.common.api.metadata.ds.XaDataSource

  An XA datasource implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.XaDataSource

      `org.jboss.jca.common.api.metadata.ds.XaDataSource.Attribute, org.jboss.jca.common.api.metadata.ds.XaDataSource.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jboss.jca.common.api.metadata.common.Recovery` | `recovery` The recovery
    `protected java.lang.String` | `urlProperty` The url property
    `protected java.lang.String` | `xaDataSourceClass` The class
    `protected java.util.HashMap<java.lang.String,java.lang.String>` | `xaDataSourceProperty` The properties
    `protected org.jboss.jca.common.api.metadata.ds.DsXaPool` | `xaPool` The XA pool

    - ### Fields inherited from class org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl

      `bundle, connectable, driver, enabled, enlistmentTrace, jndiName, mcp, newConnectionSql, poolName, security, spy, statement, timeOut, tracking, transactionIsolation, urlDelimiter, urlSelectorStrategyClassName, useCcm, useJavaContext, validation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XADataSourceImpl(org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation, org.jboss.jca.common.api.metadata.ds.TimeOut timeOut, org.jboss.jca.common.api.metadata.ds.DsSecurity security, org.jboss.jca.common.api.metadata.ds.Statement statement, org.jboss.jca.common.api.metadata.ds.Validation validation, java.lang.String urlDelimiter, java.lang.String urlProperty, java.lang.String urlSelectorStrategyClassName, java.lang.Boolean useJavaContext, java.lang.String poolName, java.lang.Boolean enabled, java.lang.String jndiName, java.lang.Boolean spy, java.lang.Boolean useCcm, java.lang.Boolean connectable, java.lang.Boolean tracking, java.lang.String mcp, java.lang.Boolean enlistmentTrace, java.util.Map<java.lang.String,java.lang.String> xaDataSourceProperty, java.lang.String xaDataSourceClass, java.lang.String driver, java.lang.String newConnectionSql, org.jboss.jca.common.api.metadata.ds.DsXaPool xaPool, org.jboss.jca.common.api.metadata.common.Recovery recovery)` Create a new XADataSourceImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `forceXaDataSourceClass(java.lang.String xaDataSourceClass)` Set the xaDataSourceClass.
    `org.jboss.jca.common.api.metadata.common.Recovery` | `getRecovery()` Get the recovery settings.
    `java.lang.String` | `getUrlProperty()` Get the url property
    `java.lang.String` | `getXaDataSourceClass()` Get the xaDataSourceClass.
    `java.util.Map<java.lang.String,java.lang.String>` | `getXaDataSourceProperty()` Get the xaDataSourceProperty.
    `org.jboss.jca.common.api.metadata.ds.DsXaPool` | `getXaPool()` Get the xaPool.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl

      `getDriver, getJndiName, getMcp, getNewConnectionSql, getPoolName, getSecurity, getStatement, getTimeOut, getTransactionIsolation, getUrlDelimiter, getUrlSelectorStrategyClassName, getValidation, isConnectable, isEnabled, isEnlistmentTrace, isSpy, isTracking, isUseCcm, isUseJavaContext, partialCommonValidation, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.XaDataSource

      `getNewConnectionSql, getStatement, getUrlDelimiter, getUrlSelectorStrategyClassName, isConnectable, isTracking`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.CommonDataSource

      `getDriver, getJndiName, getMcp, getPoolName, getSecurity, getTimeOut, getTransactionIsolation, getValidation, isEnabled, isEnlistmentTrace, isSpy, isUseCcm, isUseJavaContext, setEnabled`

- - ### Field Detail

    - #### xaDataSourceProperty

          protected java.util.HashMap<java.lang.String,java.lang.String> xaDataSourceProperty

      The properties

    - #### xaDataSourceClass

          protected java.lang.String xaDataSourceClass

      The class

    - #### xaPool

          protected org.jboss.jca.common.api.metadata.ds.DsXaPool xaPool

      The XA pool

    - #### recovery

          protected org.jboss.jca.common.api.metadata.common.Recovery recovery

      The recovery

    - #### urlProperty

          protected java.lang.String urlProperty

      The url property

  - ### Constructor Detail

    - #### XADataSourceImpl

          public XADataSourceImpl(org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation,
                                  org.jboss.jca.common.api.metadata.ds.TimeOut timeOut,
                                  org.jboss.jca.common.api.metadata.ds.DsSecurity security,
                                  org.jboss.jca.common.api.metadata.ds.Statement statement,
                                  org.jboss.jca.common.api.metadata.ds.Validation validation,
                                  java.lang.String urlDelimiter,
                                  java.lang.String urlProperty,
                                  java.lang.String urlSelectorStrategyClassName,
                                  java.lang.Boolean useJavaContext,
                                  java.lang.String poolName,
                                  java.lang.Boolean enabled,
                                  java.lang.String jndiName,
                                  java.lang.Boolean spy,
                                  java.lang.Boolean useCcm,
                                  java.lang.Boolean connectable,
                                  java.lang.Boolean tracking,
                                  java.lang.String mcp,
                                  java.lang.Boolean enlistmentTrace,
                                  java.util.Map<java.lang.String,java.lang.String> xaDataSourceProperty,
                                  java.lang.String xaDataSourceClass,
                                  java.lang.String driver,
                                  java.lang.String newConnectionSql,
                                  org.jboss.jca.common.api.metadata.ds.DsXaPool xaPool,
                                  org.jboss.jca.common.api.metadata.common.Recovery recovery)
                           throws org.jboss.jca.common.api.validator.ValidateException

      Create a new XADataSourceImpl.
      Parameters:
        `transactionIsolation` - transactionIsolation
        `timeOut` - timeOut
        `security` - security
        `statement` - statement
        `validation` - validation
        `urlDelimiter` - urlDelimiter
        `urlProperty` - urlProperty
        `urlSelectorStrategyClassName` - urlSelectorStrategyClassName
        `useJavaContext` - useJavaContext
        `poolName` - poolName
        `enabled` - enabled
        `jndiName` - jndiName
        `spy` - spy
        `useCcm` - useCcm
        `connectable` - connectable
        `tracking` - tracking
        `mcp` - mcp
        `enlistmentTrace` - enlistmentTrace
        `xaDataSourceProperty` - xaDataSourceProperty
        `xaDataSourceClass` - xaDataSourceClass
        `driver` - driver
        `newConnectionSql` - newConnectionSql
        `xaPool` - xaPool
        `recovery` - recovery
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getXaDataSourceClass

          public java.lang.String getXaDataSourceClass()

      Get the xaDataSourceClass.
      Specified by:
        `getXaDataSourceClass` in interface `org.jboss.jca.common.api.metadata.ds.XaDataSource`
      Returns:
        the xaDataSourceClass.

    - #### getXaDataSourceProperty

          public java.util.Map<java.lang.String,java.lang.String> getXaDataSourceProperty()

      Get the xaDataSourceProperty.
      Specified by:
        `getXaDataSourceProperty` in interface `org.jboss.jca.common.api.metadata.ds.XaDataSource`
      Returns:
        the xaDataSourceProperty.

    - #### getXaPool

          public org.jboss.jca.common.api.metadata.ds.DsXaPool getXaPool()

      Get the xaPool.
      Specified by:
        `getXaPool` in interface `org.jboss.jca.common.api.metadata.ds.XaDataSource`
      Returns:
        the xaPool.

    - #### getUrlProperty

          public java.lang.String getUrlProperty()

      Get the url property
      Specified by:
        `getUrlProperty` in interface `org.jboss.jca.common.api.metadata.ds.XaDataSource`
      Returns:
        The value

    - #### getRecovery

          public org.jboss.jca.common.api.metadata.common.Recovery getRecovery()

      Get the recovery settings.
      Specified by:
        `getRecovery` in interface `org.jboss.jca.common.api.metadata.ds.XaDataSource`
      Returns:
        the recovery settings.

    - #### forceXaDataSourceClass

          public void forceXaDataSourceClass(java.lang.String xaDataSourceClass)

      Set the xaDataSourceClass.
      Parameters:
        `xaDataSourceClass` - The xaDataSourceClass to set.

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DataSourceAbstractImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `DataSourceAbstractImpl`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `DataSourceAbstractImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)